import React from "react";
import Head from "next/head";
import HeroSection from "@/components/sections/hero-section.jsx";
import AboutSection from "@/components/sections/about-section.jsx";
import GallerySection from "@/components/sections/gallery-section.jsx";
import ContactSection from "@/components/sections/contact-section";
import { serverSideTranslations } from "next-i18next/serverSideTranslations";
import { useTranslation } from "next-i18next";
import DynamicMap from "@/components/map/dynamic-map";


export default function Home() {
  const { t } = useTranslation("main");

  const heroTexts = {
    heading: t("hero-heading"),
    subHeading: t("hero-subheading"),
    menuBtn: t("hero-menu-btn"),
    contactBtn: t("hero-contact-btn"),
  };
  const aboutTexts = {
    heading: t("about-heading"),
    p1: t("about-p1"),
    p2: t("about-p2"),
    p3: t("about-p3"),
    p4: t("about-p4"),
    p5: t("about-p5"),
    checkWinesBtn: t("about-wines-btn"),
  };
  const galleryTexts = {
    heading: t("gallery-heading"),
    subHeading: t("gallery-subheading"),
  };
  return (
    <>
      <Head>
        <title>Ost Food & Wine Home</title>
        <meta name="description" content="Generated by create next app" />
      </Head>
      <HeroSection texts={heroTexts} />
      <DynamicMap/>
      <AboutSection texts={aboutTexts} />
      <GallerySection texts={galleryTexts} />
      <ContactSection />
    </>
  );
}

export async function getStaticProps({ locale }) {
  return {
    props: {
      ...(await serverSideTranslations(locale, [
        "common",
        "header",
        "main",
        "contact",
        "footer",
      ])),
      // Will be passed to the page component as props
    },
  };
}
